WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Short URL

Your article (including custom type) may have a short url hosted by your own domain.

Your article (including custom type) may have a short url hosted by your own domain.

Replace the internal function of wordpress get_short_link() by a bit.ly like url.

Instead of having a short link like http://www.yourdomain.com/?p=3564, your short link will be http://www.yourdomain.com/NgH5z (for instance).

You can configure:

  • the length of the short link,
  • if the link is prefixed with a static word,
  • the characters used for the short link.

Moreover, you can manage external links with this plugin. The links in your posts will be automatically replace by the short one if available.

This plugin is under GPL licence.

Multisite - WordPress MU

This plugin is compatible with multisite installation. Each blog may manage their own list of links.

Localization

  • Arabic (U.A.E.) translation provided by ZILZAL, alaaasly
  • Arabic (Saudi Arabia) translation provided by ZILZAL
  • German (Austria) translation provided by AndreasK.
  • German (Germany) translation provided by reitermarkus, navelbrush, HenningKlocke
  • English (United States), default language
  • Spanish (Spain) translation provided by SebasContre, JosLuisCruz
  • Farsi (Iran) translation provided by EhsanKing, sehrama.ir, HamidEslami, Yhayakhaledi
  • French (France) translation provided by SedLex, jlmcreation
  • Indonesian (Indonesia) translation provided by Adhityawicaksana
  • Portuguese (Brazil) translation provided by Blinky, TonyFranco, ViniciusSantos, Bruno
  • Russian (Russia) translation provided by Pacifik, AndreyFedotov
  • Chinese (People's Republic of China) translation provided by OWenT

Features of the framework

This plugin uses the SL framework. This framework eases the creation of new plugins by providing tools and frames (see dev-toolbox plugin for more info).

You may easily translate the text of the plugin and submit it to the developer, send a feedback, or choose the location of the plugin in the admin panel.

Have fun !

Requires: 3.0 or higher
Compatible up to: 3.9.1
Last Updated: 2014-6-25
Downloads: 20,310

Ratings

4 stars
4.7 out of 5 stars

Support

6 of 7 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1
100,2,2
0,1,0 100,1,1
50,2,1
100,1,1
100,1,1
100,1,1 100,2,2
0,1,0
100,1,1
0,1,0
100,1,1 100,1,1